Page MenuHomePhabricator

Global rename failure on account Mega809
Closed, ResolvedPublic

Description

The username change Mega849 -> Mega809 is stuck:
https://es.wikipedia.org/wiki/Especial:GlobalRenameProgress/Mega809

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jmvkrecords updated the task description. (Show Details)Jan 5 2018, 10:21 AM
Aklapper renamed this task from Renamming failure to Renaming is stuck for account Mega809 on eswp.Jan 5 2018, 12:22 PM
Aklapper added a project: DBA.
Marostegui added a subscriber: Marostegui.

There is nothing that the DBAs can do here.

MarcoAurelio renamed this task from Renaming is stuck for account Mega809 on eswp to Global rename failure on account Mega809.Jan 5 2018, 1:53 PM
MarcoAurelio triaged this task as Medium priority.

@Marostegui However if you have access to terbium, you can run the following, as described here to reenqueue the jobs:

mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=eswiki --logwiki=metawiki "Mega849" "Mega809"

That should work. If not, it may require using the --ignorestatus param; but let's try without it first.

As such, please run the above command as posted on terbium. Thanks.

Maybe you'd like to check the mwexception logs and logstash before, to know exactly what happened.

I would prefer if someone who actually knows what is doing runs it, so it can be debugged properly. If I run it, I would just be running random commands :-)
I don't think this is blocked on Ops, as there are many devs with access to terbium who probably know a lot more about the process - so moving it to another column if that's ok!

@Marostegui Totally understand of course. I'll see if I can find someone more familiar with the script to get this unblocked :)

Tgr added a subscriber: Tgr.Jan 5 2018, 8:24 PM

The earliest log item I can find is from 2018-01-02T23:26:43 (Duplicate entry 'Mega809' for key 'user_name'; repeated two more times) but that's probably already a retry. I don't see anything related in the minute before that. Apparently the user got renamed, but the job failed before moving any of the data (making subsequent attempts fail when they tried to rename the user). No idea what caused it :(

Tgr added a comment.Jan 5 2018, 8:47 PM

Maybe this entry could be related (which went to hhvm so no useful error details got logged)? this change temporarily broke title blacklist check for user account creation; maybe that gets invoked somehow as part of the rename (although I don't see why it would).

Tgr updated the task description. (Show Details)Jan 5 2018, 8:52 PM
Tgr added a comment.Jan 5 2018, 8:58 PM

Nevermind, this is not actually a rename job failure. Mega809 has an autocreate entry back from 20130801002629 so it is some kind of SUL inconsistency. Which means the rename job failed before doing anything (changing the username is the very first action), which means it should be safe to just usurp the username and restart the job.

22:17, 5 January 2018 MarcoAurelio (talk | contribs | block) renamed user Mega809 (0 edits) to Mega809 (usurpado) (T184263) (log). Can we run the script again? Thanks.

Mentioned in SAL (#wikimedia-operations) [2018-01-05T22:27:58Z] <tgr> T184263 ran mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=eswiki --logwiki=metawiki "Mega849" "Mega809"

MarcoAurelio closed this task as Resolved.Jan 5 2018, 10:44 PM
MarcoAurelio assigned this task to Tgr.

Successfully completed now.

MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Sep 1 2018, 12:16 PM